小枫客栈

淡泊以明志,宁静以致远。

Python 安装报No module named setuptools错误的解决方法

前几天使用源码安装pip,安装过程中报No module named setuptools 错误。为了避免以后再遇到此类问题,特记录解决过程。1.准备环境:OS:Oracle Linux 7.5 最小化安装Python 默认版本2.下载 setuptools ,撰写这篇文章的时候为40.0.0#wget https://files.pythonhosted.org/packages/d3/3e/1d74cdcb393b68ab9ee18d78c11ae6df8447099f55fe86ee842

Linux shell 转换成二进制可执行文件

1.使用gzexe这种加密方式不是非常保险的方法,但是能够满足一般的加密用途,可以隐蔽脚本中的密码等信息。它是使用系统自带的gzexe程序,它不但加密,同时压缩文件。使用方法:gzexe file.sh它会把原来没有加密的文件备份为 file.sh~ ,同时 file.sh 即被变成加密文件;2.使用shc使用 shc 对 Linux shell 脚本加密.shc是一个专业的加密shell脚本的工具.它的作用是把shell脚本转换为一个可执行的二进制文件,这个办法很好的解决了脚本中含有IP、密码

Python pip18.0 安装及使用详解

pip是类似于Red Hat Linux yum,安装管理python的包很方便。写这篇日志的原因是为了安装一个qqbot,发现python默认没有安装pip所以就整理这篇日志以便后来者使用。环境:OS:Oracle Linux 7.5 最小化安装Python 2 >=2.7.9 or Python 3 >=3.4方法一:在线安装1.下载get-pip.py 撰写这篇日志的时候pip版本为18.0#curl https://bootstrap.pypa.io/get-pip.py -

CentOS6/7安装VNC远程桌面,让windows远程控制Linux桌面

1.准备环境:服务端:CentOS 6.9 ,RealVNC5.10(截止撰写时版本为6.30)客服端:Win7 ,Real Viewer 5.10RealVNC历史版下载地址:https://www.realvnc.com/en/connect/download/vnc/#older-versions2.下载解压并安装RealVNC[root@dbserver ~]# wget https://www.realvnc.com/download/file/vnc.files/VNC-5.1.0-

CentOS6.9转换为Oracle Linux 6.9

环境:OS:CentOS 6.9  to Oracle Linux 6.9PS:据Oracle自家说OEL拥有更快的安全更新速度,对Oracle自家产品提供更好的支持。具体请访问:https://linux.oracle.com/switch/centos/1.查看当前系统版本[root@dbserver pking]# cat /etc/redhat-releaseCentOS release 6.9 (Final)2.以root身份运行[root@dbserver pking]#

Centos7 Perl DBD for Oracle 环境安装

测试环境:OS:Centos7.5    Perl版本:perl-5.26.2    DBI版本:DBI-1.641DBD的前置环境需要Perl和DBI,如何安装Perl和DBI请参考Perl安装    DBI安装 。写文章时候最新版本是DBD-Oracle-1.74.tar,您可以访问https://metacpan.org/pod/DBD::Oracle 下载最新版。具体安装步骤如下:1.下载DBD for oracleDBD-Or

Centos7 Perl DBI 1.xxx 环境安装

环境:OS:centos7.5  DBI版本:DBI-1.641  Perl版本:5.26.2搭建这个环境主要是为了自己的一个小项目,安装DBI的前提是安装了Perl程序。如何安装Perl请参考 Perl程序安装,编写这篇文章的时候DBI的版本是1.641 您可以进入https://metacpan.org/pod/DBI::DBD下载最新版。1.下载DBI  DBI-1.641.tar.gz2.解压DBI并切换到程序目录tar zxvf DBI-1.641.tar

CentOS7 Perl 5.x.x 环境安装

环境:OS:CentOS7.5 Mini环境    Perl版本:perl-5.26.2.tar.gz写这篇日志的时候Perl的版本是5.26.2,主要是之前服务器采用了Mini安装组件。由于业务需要使用DBI和DBD连接Oracle数据库所以需要安装Perl,安装Perl的方式有两种一种是直接yum instal perl 使用CentOS自带的仓库安装,另外一种是下载源码安装。由于很多非mini环境的Linux会自带perl我们可以输入perl -v 先确认是否已经安装p

ORA-28040错误的解决方法

OS:Centos7.5Oracle:12cR25月17日的时候在服务器上静默安装了一个Oracle12cR2的的库,安装完毕后发现使用PL/SQL登录报ORA-28040的错误本地登录又是正常的。经检查发现12c安装后sqlnet.ora这个文件缺少了一个参数,添加完毕后登录正常。切换到oracle 用户下面在$ORACLE_HOME/network/admin/sqlnet.ora添加12c增加SQLNET.ALLOWED_LOGON_VERSION_SERVER=811g 增加SQLNET

Centos6.X/7.X系统内核升级

测试环境:Centos7.5内核版本:3.10.0-862.2.3Linux版本:4.16.8-1Redhat Linux7一直采用3.10的内核版本,其衍生版的Centos7也是如此。不过Centos7支持elrepo源,这是一个第三方仓库。进入https://www.kernel.org/ 在撰写这篇日志的时候版本是4.16.91. 查看当前系统的内核版本uname -sr2. 在Centos7上启用elrepo源,ELRepo源地址:http://elrepo.org/tiki/tiki-
«   2019年10月   »
123456
78910111213
14151617181920
21222324252627
28293031
控制面板
您好,欢迎到访网站!
  查看权限
网站分类
搜索
最新留言
    文章归档
    网站收藏
    友情链接
    • RainbowSoft Studio Z-Blog
    • 订阅本站的 RSS 2.0 新闻聚合

    Powered By Z-BlogPHP 1.5.2 Zero

    Copyright © 2019 Xiaofeng.org